opencv: cv::LevMarqSparse Class Reference

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes

# cv::LevMarqSparse Class Reference

`#include <contrib.hpp>`

List of all members.

## Public Member Functions
virtual void | clear ()
| LevMarqSparse (int npoints, int ncameras, int nPointParams, int nCameraParams, int nErrParams, Mat &visibility, Mat &P0, Mat &X, TermCriteria criteria, void(CV_CDECL *fjac)(int i, int j, Mat &point_params, Mat &cam_params, Mat &A, Mat &B, void *data), void(CV_CDECL *func)(int i, int j, Mat &point_params, Mat &cam_params, Mat &estim, void *data), void *data)
| LevMarqSparse ()
virtual void | run (int npoints, int ncameras, int nPointParams, int nCameraParams, int nErrParams, Mat &visibility, Mat &P0, Mat &X, TermCriteria criteria, void(CV_CDECL *fjac)(int i, int j, Mat &point_params, Mat &cam_params, Mat &A, Mat &B, void *data), void(CV_CDECL *func)(int i, int j, Mat &point_params, Mat &cam_params, Mat &estim, void *data), void *data)
virtual | ~LevMarqSparse ()
## Static Public Member Functions
static void | bundleAdjust (vector< Point3d > &points, const vector< vector< Point2d > > &imagePoints, const vector< vector< int > > &visibility, vector< Mat > &cameraMatrix, vector< Mat > &R, vector< Mat > &T, vector< Mat > &distCoeffs, const TermCriteria &criteria=TermCriteria(TermCriteria::COUNT+TermCriteria::EPS, 30, DBL_EPSILON))
## Protected Member Functions
void | ask_for_proj ()
void | ask_for_projac ()
virtual void | optimize ()
## Protected Attributes
CvMat * | A
CvMat * | B
CvTermCriteria | criteria
void * | data
CvMat * | deltaP
CvMat ** | ea
CvMat ** | eb
CvMat * | err
double | errNorm
void(* | fjac )(int i, int j, Mat &point_params, Mat &cam_params, Mat &A, Mat &B, void *data)
void(* | func )(int i, int j, Mat &point_params, Mat &cam_params, Mat &estim, void *data)
CvMat * | hX
CvMat ** | inv_V_star
int | iters
CvMat * | JtJ_diag
double | lambda
int | num_cam_param
int | num_cams
int | num_err_param
int | num_point_param
int | num_points
CvMat * | P
double | prevErrNorm
CvMat * | prevP
CvMat * | S
CvMat ** | U
CvMat ** | V
CvMat * | Vis_index
CvMat * | W
CvMat * | X
CvMat ** | Yj

## Constructor & Destructor Documentation

cv::LevMarqSparse::LevMarqSparse | ( | ) |

cv::LevMarqSparse::LevMarqSparse | ( | int | npoints,
|  | int | ncameras,
|  | int | nPointParams,
|  | int | nCameraParams,
|  | int | nErrParams,
|  | Mat & | visibility,
|  | Mat & | P0,
|  | Mat & | X,
|  | TermCriteria | criteria,
|  | void(CV_CDECL *fjac)(int i, int j, Mat &point_params, Mat &cam_params, Mat &A, Mat &B, void *data) | ,
|  | void(CV_CDECL *func)(int i, int j, Mat &point_params, Mat &cam_params, Mat &estim, void *data) | ,
|  | void * | data
| ) |  |

virtual cv::LevMarqSparse::~LevMarqSparse | ( | ) | `[virtual]`

## Member Function Documentation

void cv::LevMarqSparse::ask_for_proj | ( | ) | `[protected]`

void cv::LevMarqSparse::ask_for_projac | ( | ) | `[protected]`

static void cv::LevMarqSparse::bundleAdjust | ( | vector< Point3d > & | points,
|  | const vector< vector< Point2d > > & | imagePoints,
|  | const vector< vector< int > > & | visibility,
|  | vector< Mat > & | cameraMatrix,
|  | vector< Mat > & | R,
|  | vector< Mat > & | T,
|  | vector< Mat > & | distCoeffs,
|  | const TermCriteria & | criteria = `TermCriteria(TermCriteria::COUNT+TermCriteria::EPS, 30, DBL_EPSILON)`
| ) |  | `[static]`

virtual void cv::LevMarqSparse::clear | ( | ) | `[virtual]`

virtual void cv::LevMarqSparse::optimize | ( | ) | `[protected, virtual]`

virtual void cv::LevMarqSparse::run | ( | int | npoints,
|  | int | ncameras,
|  | int | nPointParams,
|  | int | nCameraParams,
|  | int | nErrParams,
|  | Mat & | visibility,
|  | Mat & | P0,
|  | Mat & | X,
|  | TermCriteria | criteria,
|  | void(CV_CDECL *fjac)(int i, int j, Mat &point_params, Mat &cam_params, Mat &A, Mat &B, void *data) | ,
|  | void(CV_CDECL *func)(int i, int j, Mat &point_params, Mat &cam_params, Mat &estim, void *data) | ,
|  | void * | data
| ) |  | `[virtual]`

## Member Data Documentation

CvMat* cv::LevMarqSparse::A`[protected]`

CvMat* cv::LevMarqSparse::B`[protected]`

CvTermCriteria cv::LevMarqSparse::criteria`[protected]`

void* cv::LevMarqSparse::data`[protected]`

CvMat* cv::LevMarqSparse::deltaP`[protected]`

CvMat** cv::LevMarqSparse::ea`[protected]`

CvMat** cv::LevMarqSparse::eb`[protected]`

CvMat* cv::LevMarqSparse::err`[protected]`

double cv::LevMarqSparse::errNorm`[protected]`

void(* cv::LevMarqSparse::fjac)(int i, int j, Mat &point_params, Mat &cam_params, Mat &A, Mat &B, void *data)`[protected]`

void(* cv::LevMarqSparse::func)(int i, int j, Mat &point_params, Mat &cam_params, Mat &estim, void *data)`[protected]`

CvMat* cv::LevMarqSparse::hX`[protected]`

CvMat** cv::LevMarqSparse::inv_V_star`[protected]`

int cv::LevMarqSparse::iters`[protected]`

CvMat* cv::LevMarqSparse::JtJ_diag`[protected]`

double cv::LevMarqSparse::lambda`[protected]`

int cv::LevMarqSparse::num_cam_param`[protected]`

int cv::LevMarqSparse::num_cams`[protected]`

int cv::LevMarqSparse::num_err_param`[protected]`

int cv::LevMarqSparse::num_point_param`[protected]`

int cv::LevMarqSparse::num_points`[protected]`

CvMat* cv::LevMarqSparse::P`[protected]`

double cv::LevMarqSparse::prevErrNorm`[protected]`

CvMat* cv::LevMarqSparse::prevP`[protected]`

CvMat* cv::LevMarqSparse::S`[protected]`

CvMat** cv::LevMarqSparse::U`[protected]`

CvMat** cv::LevMarqSparse::V`[protected]`

CvMat* cv::LevMarqSparse::Vis_index`[protected]`

CvMat* cv::LevMarqSparse::W`[protected]`

CvMat* cv::LevMarqSparse::X`[protected]`

CvMat** cv::LevMarqSparse::Yj`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/contrib/include/opencv2/contrib/contrib.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines